# gifit
*Convert videos into GIFs with ffmpeg*

Quickly convert a video file into a gif.  Based on [superuser.com/a/1255109/579353](https://superuser.com/a/1255109/579353)

## Installation

### Dependencies

ffmpeg is required: 

```sh
sudo apt install ffmpeg
```
### Download

```sh
sudo git clone https://gitea.gf4.pw/ki9/gifit.git /usr/local/src/gifit
```

### Build
```
sudo ln -s /usr/local/src/gifit/gifit /usr/local/bin/gifit
```

## Updating

```sh
cd /usr/local/src/gifit
sudo git pull
```

## Usage

```sh
gifit file [fps] [scale]
```

Scale is width in pixels or -1 for no scaling

## License

**gifit** - *Convert videos into GIFs with ffmpeg*\
Copyright © 2019 Keith Irwin [www.ki9.us](https://www.ki9.us/)

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.  

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program.  If not, see <[http://www.gnu.org/licenses/](http://www.gnu.org/licenses/)>.
